# Get Appliance

> Channels API · Appliance

```http
GET /api/channel-capability/
```

Return appliance capability status: SDI/RF/ST2110 cards and firmware.

## Example request

```bash
curl -X GET "/api/channel-capability/"
```

## Responses

### 200 — Successful Response

- `optionCardData` · object · **Required**
  - `sdiCards` · list of objects · **Required**
    - Array items (object):
      - `type` · enum · **Required**
        - Allowed values: `Dektec 2174B SDI/ASI`, `Dektec 2178 SDI/ASI`
      - `slot` · integer · **Required**
      - `firmware` · enum · **Required**
        - Allowed values: `4 ASI/HD-SDI/SD-SDI`, `8 ASI/HD-SDI/SD-SDI`, `Dual 12G-SDI with ASI/SDI side channel`, `1 UHD 12G with downconversion`, `Dual 4K channels over 12G-SDI or Quad link`, `1 UHD 12G or Quad Link 3G`
  - `rfDemodulators` · list of objects · **Required**
    - Array items (object):
      - `name` · enum · **Required**
        - Allowed values: `Dektec DTA-2127`, `Digital Devices SX8 Satellite Demod`
      - `slot` · integer · **Required**
  - `st2110Cards` · list of objects · **Required**
    - Array items (object):
      - `type` · enum · **Required**
        - Allowed values: `NVIDIA ConnectX-6 Lx 25GbE`, `NVIDIA ConnectX-5 25GbE`
      - `slot` · integer · **Required**
- `capabilities` · object · **Required**
  - `receiverMultipleInputStream` · boolean · Optional · _Defaults to false_
  - `bissCaAvailable` · boolean · Optional · _Defaults to false_
  - `st2110OutputProfile` · enum · **Required**
    - Allowed values: `Standard`, `SMPTE ST 2110 UHD Output`, `Unknown`
- `dynamicRangeConversionOptions` · list of strings · Optional · _Defaults to ["None","BT709"]_
  - Array items (string):

Example:

```json
{
  "optionCardData": {
    "sdiCards": [
      {
        "type": "Dektec 2174B SDI/ASI",
        "slot": 0,
        "firmware": "4 ASI/HD-SDI/SD-SDI"
      }
    ],
    "rfDemodulators": [
      {
        "name": "Dektec DTA-2127",
        "slot": 0
      }
    ],
    "st2110Cards": [
      {
        "type": "NVIDIA ConnectX-6 Lx 25GbE",
        "slot": 0
      }
    ]
  },
  "capabilities": {
    "receiverMultipleInputStream": false,
    "bissCaAvailable": false,
    "st2110OutputProfile": "Standard"
  },
  "dynamicRangeConversionOptions": [
    "None",
    "BT709"
  ]
}
```

---

Source spec: `channels-api` · operationId: `get_appliance_capability__get`
